查询销售渠道指定的商品
GET https://{handle}.myshopline.com/admin/openapi/v20261201/product_listings/:product_listing_id.json
handle :店铺的唯一标识符,值为店铺域名的前缀。例如,域名为 open001.myshopline.com 的店铺,其 handle 是 open001 。从销售渠道中,查询指定的商品
路径参数
- product_listing_id string required商品ID例子:
16057039432335097907370282
请求头
- Content-Type string required字段值固定为
application/json; charset=utf-8。 - Authorization string required资源的访问令牌。参考 应用授权 获取访问令牌,然后将获取到的访问令牌以 Bearer 格式传入。例子:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
状态码
- 200
- 401
- 429
更多状态码信息,参考 HTTP 状态码。
响应头
traceId
请求的全局唯一标识符。用于追踪请求在系统中的流转,以便于问题发生时进行定位和调试。
响应体
product_listingobject
商品列表optionsobject[]
商品选项values_images map选项值图例子:{}id string选项ID例子:16157850264851626133440282name string选项名称例子:Colorproduct_id string商品ID例子:16057039432335097907370282values array选项值列表例子:["[\"Red\", \"Green\", \"White”]"]tags string商品标签例子:tag1,tag2product_id string商品ID例子:16057039432335097907370282updated_at string商品更新时间例子:2022-12-06T15:13:50+08:00subtitle string商品摘要例子:This is a subtitlecreated_at string创建时间例子:2022-12-06T15:13:50+08:00template_path string模板路径例子:templates/products/detail.jsonpublished_scope string设置发布范围,值为「web」时表示在线商店例子:webbody_html string商品描述例子:This is a descriptionvendor string商品厂商例子:Shoplinepublished_at string发布到在线商店的时间例子:2022-12-06T15:13:50+08:00status string商品状态:active - 上架,draft - 下架,archived - 归档例子:activehandle string全局唯一的商品handle例子:product-handlevariantsobject[]
款式列表weight_unit string重量单位, g:克,kg:千克,lb:磅,oz:盎司例子:gid string款式ID,即skuId例子:18057039432358082693350282product_id string商品ID例子:16057039432335097907370282required_shipping boolean是否需要发货例子:truecompare_at_price string原价例子:100inventory_tracker boolean是否追踪库存例子:trueimageobject
款式图片alt string图片ALT例子:This is a image altsrc string图片地址例子:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngweight string重量例子:0.5option5 string该款式对应的第五个选项的值price string售价例子:90inventory_policy string是否允许超卖:continue,deny例子:denybarcode string条形码例子:B00000001inventory_item_id string库存对象ID例子:5703943240925324252option1 string该款式对应的第一个选项的值例子:Redsku stringSKU码例子:T00000001option4 string该款式对应的第四个选项的值taxable boolean是否需要收税例子:trueoption3 string该款式对应的第三个选项的值title string规格标题例子:Red/Loption2 string该款式对应的第二个选项的值例子:Linventory_quantity integer库存值例子:100title string商品标题例子:This is a titleimagesobject[]
商品主图列表alt string图片ALT例子:This is a image altsrc string图片地址例子:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngspu stringSPU码例子:S00000001
API Explorer
调试台
示例代码
这篇文章对你有帮助吗?